summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoracxz2019-11-28 19:47:58 -0500
committeracxz2019-11-28 19:47:58 -0500
commit8e40f2f3df3a0e2204c50a2e59aa5c35e7dbc20e (patch)
tree0120b5c1a34d3a2953c2b6d6b54660aca9c6ff15
downloadaur-8e40f2f3df3a0e2204c50a2e59aa5c35e7dbc20e.tar.gz
initial commit
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD75
-rw-r--r--boost-signal.patch11
3 files changed, 112 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..30d482f9201
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = ros-melodic-fake-localization
+ pkgdesc = ROS - A ROS node that simply forwards odometry information.
+ pkgver = 1.16.3
+ pkgrel = 1
+ url = https://wiki.ros.org/fake_localization
+ arch = any
+ license = BSD
+ makedepends = cmake
+ makedepends = ros-build-tools
+ makedepends = ros-melodic-catkin
+ makedepends = ros-melodic-angles
+ makedepends = ros-melodic-tf2-geometry-msgs
+ depends = ros-melodic-geometry-msgs
+ depends = ros-melodic-message-filters
+ depends = ros-melodic-nav-msgs
+ depends = ros-melodic-rosconsole
+ depends = ros-melodic-roscpp
+ depends = ros-melodic-rospy
+ depends = ros-melodic-tf2-ros
+ source = ros-melodic-fake-localization-1.16.3.tar.gz::https://github.com/ros-planning/navigation/archive/1.16.3.tar.gz
+ source = boost-signal.patch
+ sha256sums = 23a6f3202fec00b07bb419453eed2591dd63fffa5da2fc78fb29620c9f2bdced
+ sha256sums = dade99251e09e5743adee6d5e0cfc4efc1c444341713894db0f9c21f4bb0d5d2
+
+pkgname = ros-melodic-fake-localization
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c85f3671beb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,75 @@
+pkgdesc="ROS - A ROS node that simply forwards odometry information."
+url='https://wiki.ros.org/fake_localization'
+
+pkgname='ros-melodic-fake-localization'
+pkgver='1.16.3'
+arch=('any')
+pkgrel=1
+license=('BSD')
+
+ros_makedepends=(
+ ros-melodic-catkin
+ ros-melodic-angles
+ ros-melodic-tf2-geometry-msgs
+)
+
+makedepends=(
+ 'cmake'
+ 'ros-build-tools'
+ ${ros_makedepends[@]}
+)
+
+ros_depends=(
+ ros-melodic-geometry-msgs
+ ros-melodic-message-filters
+ ros-melodic-nav-msgs
+ ros-melodic-rosconsole
+ ros-melodic-roscpp
+ ros-melodic-rospy
+ ros-melodic-tf2-ros
+)
+
+depends=(
+ ${ros_depends[@]}
+)
+
+_dir="navigation-${pkgver}/fake_localization"
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-planning/navigation/archive/${pkgver}.tar.gz"
+ "boost-signal.patch")
+sha256sums=('23a6f3202fec00b07bb419453eed2591dd63fffa5da2fc78fb29620c9f2bdced'
+ 'dade99251e09e5743adee6d5e0cfc4efc1c444341713894db0f9c21f4bb0d5d2')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN CMakeLists.txt ../../../boost-signal.patch || return 1
+}
+
+build() {
+ # Use ROS environment variables.
+ source /usr/share/ros-build-tools/clear-ros-env.sh
+ [ -f /opt/ros/melodic/setup.bash ] && source /opt/ros/melodic/setup.bash
+
+ # Create the build directory.
+ [ -d ${srcdir}/build ] || mkdir ${srcdir}/build
+ cd ${srcdir}/build
+
+ # Fix Python2/Python3 conflicts.
+ /usr/share/ros-build-tools/fix-python-scripts.sh -v 3 ${srcdir}/${_dir}
+
+ # Build the project.
+ cmake ${srcdir}/${_dir} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCATKIN_BUILD_BINARY_PACKAGE=ON \
+ -DCMAKE_INSTALL_PREFIX=/opt/ros/melodic \
+ -DPYTHON_EXECUTABLE=/usr/bin/python3 \
+ -DPYTHON_INCLUDE_DIR=/usr/include/python3.7m \
+ -DPYTHON_LIBRARY=/usr/lib/libpython3.7m.so \
+ -DPYTHON_BASENAME=.cpython-37m \
+ -DSETUPTOOLS_DEB_LAYOUT=OFF
+ make
+}
+
+package() {
+ cd "${srcdir}/build"
+ make DESTDIR="${pkgdir}/" install
+}
diff --git a/boost-signal.patch b/boost-signal.patch
new file mode 100644
index 00000000000..55fa9640866
--- /dev/null
+++ b/boost-signal.patch
@@ -0,0 +1,11 @@
+--- CMakeLists.txt.orig 2019-11-28 19:43:03.413352357 -0500
++++ CMakeLists.txt 2019-11-28 19:44:00.306684175 -0500
+@@ -14,7 +14,7 @@
+ )
+
+
+-find_package(Boost REQUIRED COMPONENTS signals)
++find_package(Boost REQUIRED)
+
+ catkin_package(
+ CATKIN_DEPENDS